## python-pkcs11 0.7.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
aenum==2.0.7 ; python_version < "3.6"
asn1crypto==0.22.0
cached-property==1.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = PythonPKCS11
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pkcs11 (0.7.0-1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:50:58 +0000

python-pkcs11 (0.7.0-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:17:22 +0000

python-pkcs11 (0.7.0-1build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:09 +0100

python-pkcs11 (0.7.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:57:45 +0000

python-pkcs11 (0.7.0-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:27:07 +0100

python-pkcs11 (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1032143)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 01 Mar 2023 03:01:03 +0200

=== debian/control ===
Source: python-pkcs11
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Faidon Liambotis <paravoid@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 python3-all-dev,
 python3-asn1crypto,
 python3-cached-property,
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest <!nocheck>,
 python3-oscrypto <!nocheck>,
 python3-cryptography <!nocheck>,
 openssl <!nocheck>,
 softhsm2 <!nocheck>,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/danni/python-pkcs11/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pkcs11
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pkcs11.git

Package: python3-pkcs11
Architecture: any
Depends:
 ${shlibs:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: high level PKCS#11 interface for Python
 A high level, "more Pythonic" interface to the PKCS#11 (Cryptoki) standard to
 support HSM and Smartcard devices in Python.
 .
 The interface is designed to follow the logical structure of a HSM, with
 useful defaults for obscurely documented parameters. Many APIs will optionally
 accept iterables and act as generators, allowing you to stream large data
 blocks for symmetric encryption.
 .
 It also includes numerous utility functions to convert between PKCS#11 data
 structures and common interchange formats including PKCS#1 and X.509.
 .
 The library is fully documented and has a full integration test suite for all
 features, with continuous integration against multiple HSM platforms including
 Entrust nShield, Opencryptoki TPM and OpenSC/Smartcard-HSM/Nitrokey HSM.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME = pkcs11
export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = {interpreter} -m test_runner_softhsm2

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
endif

## python-pkcs11 0.9.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXPROJ    = PythonPKCS11
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@uv run --no-dev --group docs-build $(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@uv run --no-dev --group docs-build $(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pkcs11 (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - includes compatibility with Python 3.14 (Closes: #1122004)
    - update to pyproject.toml build system
    - drop patches applied upstream
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Dec 2025 20:42:57 +1100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  cython3,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-asn1crypto,
  python3-cached-property,
  python3-setuptools,
  python3-setuptools-scm,
+ python3-parameterized <!nocheck>,
  python3-pytest <!nocheck>,
  python3-oscrypto <!nocheck>,
  python3-cryptography <!nocheck>,
@@ -23,7 +25,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/danni/python-pkcs11/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pkcs11
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pkcs11.git
